using System;

internal sealed class Delegate142 : MulticastDelegate
{
	public extern DateTime Invoke(object object_0);

	public static DateTime smethod_0(object object_0, Delegate142 delegate142_0)
	{
		return delegate142_0(object_0);
	}

	public extern Delegate142(object object_0, IntPtr intptr_0);

	static Delegate142()
	{
		Class10.smethod_13(typeof(Delegate142).TypeHandle);
	}

	internal static Delegate142 rfwsufyocb;
}
